.tree li {
    margin: 0px 0;
	
	list-style-type: none;
    position: relative;
	padding: 20px 5px 0px 5px;
}

.tree li::before{
    content: '';
	position: absolute; 
    top: 0;
	width: 1px; 
    height: 100%;
	right: auto; 
    left: -20px;
	border-left: 1px solid #ccc;
    bottom: 50px;
}
.tree li::after{
    content: '';
	position: absolute; 
    top: 30px; 
	width: 25px; 
    height: 20px;
	right: auto; 
    left: -20px;
	border-top: 1px solid #ccc;
}
.tree li a:not(.hide){
    display: inline-block;
	border: 1px solid #ccc;
	padding: 5px 10px;
	text-decoration: none;
	color: #666;
	font-family: arial, verdana, tahoma;
	font-size: 11px;
    border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
}

/*Remove connectors before root*/
.tree > ul > li::before, .tree > ul > li::after{
	border: 0;
}
/*Remove connectors after last child*/
.tree li:last-child::before{ 
      height: 30px;
}

/*Time for some hover effects*/
/*We will apply the hover effect the the lineage of the element also*/
.tree li a:hover, .tree li a:hover+ul li a {
	background: #c8e4f8; color: #000; border: 1px solid #94a0b4;
}
/*Connector styles on hover*/
.tree li a:hover+ul li::after, 
.tree li a:hover+ul li::before, 
.tree li a:hover+ul::before, 
.tree li a:hover+ul ul::before{
	border-color:  #94a0b4;
}


a.service-level-0{
	background-color: #c1ffc1;
}

a.service-level-1{
	background-color:#ffd995;
}

a.service-level-2{
	background-color: #d8d4d4;
}

.no-padding{
	padding: 0 !important;
}
.parent-node span.text{
	/* padding: 10px; */
    line-height: 3;
    font-size: 16px;
}
.parent-node span img{
	width: 50px;
    height: 50px;
    border-radius: 50px;
    margin: 7px;
}
.parent-node span.actions{
	padding: 10px;
	font-size: 16px;
	cursor: pointer;
}

.parent-node span.actions.green-text {
    color: #69aa46!important;
}

.parent-node span.actions.red-text {
    color: #dd5a43!important;
}

.parent-node span.actions.red-text:hover,
.parent-node span.actions.green-text:hover {
    text-decoration: none;
    opacity: 1;
    -moz-transform: scale(1.2);
    -webkit-transform: scale(1.2);
    -o-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
}


.display-flex{
	display: flex;
	justify-content: center;
	align-items: center;
	
}
.display-flex-column{
	display: flex;
	justify-content: center;
    align-items: center;
    flex-direction: column
}

.btn-circle {
    border-radius: 100%;
    width: 40px;
    height: 40px;
    padding: 10px;
}

.bordered{
	border: 1px solid;
}
a.link-white{
	color: white !important;
}


.text-center{
	text-align: center;
}



/* .table td, 
.table th {
    white-space: nowrap;
    width: 1%;
} */

.text-white{
    color: white !important;
}
.text-grey{
	color: #9a9a9a !important;
}
.text-green{
	color: green !important;
}
.text-red{
	color: red !important;
}
.text-yellow{
	color: yellow !important;
}
.text-grey-light{
	color: #bdbcbc !important;
}

.flickr_pagination {
	text-align: center;
	padding: 0.3em;
	cursor: default;
	}
.flickr_pagination a, .flickr_pagination span, .flickr_pagination em {
	padding: 0.5em; 
}
.flickr_pagination .disabled {
color: #aaaaaa; }
.flickr_pagination .current {
font-style: normal;
font-weight: bold;
color: #ff0084; }
.flickr_pagination a {
border: solid 3px rgba(20, 24, 28, 0.1);
color: #ff0000;
text-decoration: none; }
.flickr_pagination a:hover, .flickr_pagination a:focus {
border-color: blue;
background: blue;
color: white; }
.flickr_pagination .page_info {
color: #aaaaaa;
padding-top: 0.8em; }
.flickr_pagination .previous_page, .flickr_pagination .next_page {
border-width: 2px; }
.flickr_pagination .previous_page {
margin-right: 1em; }
.flickr_pagination .next_page {
margin-left: 1em; }

table tbody td a.green-text,
table tbody td a.blue-text,
table tbody td a.red-text {
    margin: 0 3px;
    display: inline-block;
    opacity: .85;
    -webkit-transition: all .1s;
    -o-transition: all .1s;
    transition: all .1s;
    font-size: 130%!important;
    ;
}

table tbody td a.green-text:hover,
table tbody td a.blue-text:hover,
table tbody td a.red-text:hover {
    text-decoration: none;
    opacity: 1;
    -moz-transform: scale(1.2);
    -webkit-transform: scale(1.2);
    -o-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
}

table tbody td a.red-text{
    /* display: none; */
}
a.green-text, .green-mark {
	color: #69aa46!important;
	margin-left: 8px !important;
}

a.red-text, .red-mark {
    color: #dd5a43!important;
    margin-left: 8px !important;
}

a.blue-text {
    color: #337ab7!important;
    /* margin-left: 8px !important; */
}

.highlight {
    background-color: yellow;
  }

.plan-1{
    background-color: #d0d0d3;
    padding: 10px;
    cursor: pointer
}

.plan-2{
    background-color: #ccb55f;
    padding: 10px;
    cursor: pointer
}

.plan-3{
    background-color: #42a5ae;
    padding: 10px;
    cursor: pointer
}

.plan-1:hover, .plan-2:hover, .plan-3:hover{
    border: 2px solid red;
}

.plan-1.selected, .plan-2.selected, .plan-3.selected{
    border: 2px solid red;
}


.detailBox {
    /* width:320px;
    border:1px solid #bbb; */
    margin:50px;
}
.detailBox .titleBox {
    background-color:#fdfdfd;
    padding:10px;
}
.detailBox .titleBox label{
  color:#444;
  margin:0;
  display:inline-block;
}

.detailBox .commentBox {
    padding:10px;
    border-top:1px dotted #bbb;
}
.detailBox .commentBox .form-group:first-child, .actionBox .form-group:first-child {
    width:80%;
}
.detailBox .commentBox .form-group:nth-child(2), .actionBox .form-group:nth-child(2) {
    width:18%;
}
.detailBox .actionBox .form-group * {
    width:100%;
}
.detailBox .taskDescription {
    margin-top:10px 0;
}
.detailBox .commentList {
    padding:0;
    list-style:none;
    max-height:700px;
    overflow:auto;
}
.detailBox .commentList li {
    margin:0;
    margin-top:10px;
}
.detailBox .commentList li > div {
    display:table-cell;
}
.detailBox .commenterImage {
    width:50px;
    width:50px;
    margin-right:5px;
    /* height:100%; */
    float:left;
}
.detailBox .commenterImage img {
    width:100%;
    border-radius:50%;
}
.detailBox .commentText p {
    margin:0;
}
.detailBox .sub-text {
    color:#aaa;
    font-family:verdana;
    font-size:11px;
}
.detailBox .actionBox {
    border-top:1px dotted #bbb;
    padding:10px;
}

.gallery-radio{
    width: 20px;
    margin-top: -9px;
    margin-left: 10px;
}


.margin-top-5px {
    margin-top: 5px;
}

.margin-top-15px {
    margin-top: 15px;
}

.margin-top-50{margin-top: 50px;}
.validation {
      border: 1px solid;
      margin: 10px 0px;
      padding: 15px 10px 15px 50px;
      background-repeat: no-repeat;
      background-position: 10px center;
      color: #D63301;
      /*background-color: #FFCCBA;*/
      /*background-image: url('https://i.imgur.com/GnyDvKN.png');*/
    }